NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::StudioXformBuilder Class Reference

Represents a NXOpen::Features::StudioXform builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateStudioXformBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::StudioXformBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AdvancedMethodType {
  AdvancedMethodTypeChangeDegree, AdvancedMethodTypeFalloff, AdvancedMethodTypeProportionalMovement, AdvancedMethodTypeKeepContinuity,
  AdvancedMethodTypeLockRegion, AdvancedMethodTypeInsertKnot, AdvancedMethodTypeAdvanceOff
}
 Represents the advanced method type. More...
 
enum  FeatureType { FeatureTypeRelative, FeatureTypeAbsolute }
 Represents the feature type. More...
 
enum  InsertKnotDirectionType { InsertKnotDirectionTypeUDirection, InsertKnotDirectionTypeVDirection }
 Represents the insert knot direction type. More...
 
enum  PlanarizeDirectionType { PlanarizeDirectionTypeU, PlanarizeDirectionTypeV }
 Represents the planarize direction type. More...
 
enum  PlanarizeMethodType { PlanarizeMethodTypeAtPlaneLocation, PlanarizeMethodTypeAtPoleLocation, PlanarizeMethodTypeOnABestFitPlane }
 Represents the planarize method type. More...
 
enum  PlanarizePlaneOptionType { PlanarizePlaneOptionTypeYcZc, PlanarizePlaneOptionTypeXcZc, PlanarizePlaneOptionTypeXcYc, PlanarizePlaneOptionTypeArbitraryPlane }
 Represents the plane option type. More...
 
enum  RotatingPivotType { RotatingPivotTypeAboutObjectCenter, RotatingPivotTypeAboutSelectedObject, RotatingPivotTypeAboutPoint }
 Represents the rotating pivot type. More...
 
enum  RotationDirectionType {
  RotationDirectionTypeXc, RotationDirectionTypeYc, RotationDirectionTypeZc, RotationDirectionTypeArbitraryDirection,
  RotationDirectionTypeArbitraryPlane
}
 Represents the rotation direction type. More...
 
enum  ScalingCenterType { ScalingCenterTypeAboutObjectCenter, ScalingCenterTypeAboutSelectedObject, ScalingCenterTypeAboutPoint }
 Represents the scaling center type. More...
 
enum  ScalingDirectionType {
  ScalingDirectionTypeScaleUniformly, ScalingDirectionTypePlaneOfCurve, ScalingDirectionTypeXc, ScalingDirectionTypeYc,
  ScalingDirectionTypeZc, ScalingDirectionTypeYcZc, ScalingDirectionTypeXcZc, ScalingDirectionTypeXcYc,
  ScalingDirectionTypeArbitraryDirection, ScalingDirectionTypeArbitraryPlane
}
 Represents the scaling direction type. More...
 
enum  TranslationDirectionType {
  TranslationDirectionTypeXc, TranslationDirectionTypeYc, TranslationDirectionTypeZc, TranslationDirectionTypeYcZc,
  TranslationDirectionTypeXcZc, TranslationDirectionTypeXcYc, TranslationDirectionTypeArbitraryDirection, TranslationDirectionTypeArbitraryPlane
}
 Represents the translation direction type. More...
 
enum  Types {
  TypesTranslate, TypesRotate, TypesScale, TypesTranslateNormalToFaceOrCurve,
  TypesTranlsateAlongControlPolygon, TypesPlanarizeRowOfPoles
}
 Represents the Xform type. More...
 

Public Member Functions

NXOpen::Features::StudioXformBuilder::AdvancedMethodType AdvancedMethod ()
 Returns the advanced method
More...
 
NXOpen::PointCenterPoint ()
 Returns the scaling center type
More...
 
void ChangeDegree (NXOpen::NXObject *xformObject)
 Changes degree of the selected xform object
More...
 
void ChangeFlexibility (NXOpen::NXObject *xformObject)
 Changes flexibility of the selected xform object
More...
 
NXOpen::GeometricUtilities::ContinuityContinuityUMax ()
 Returns the continuity at U maximum
More...
 
NXOpen::GeometricUtilities::ContinuityContinuityUMin ()
 Returns the continuity at U minimum
More...
 
NXOpen::GeometricUtilities::ContinuityContinuityVMax ()
 Returns the continuity at V maximum
More...
 
NXOpen::GeometricUtilities::ContinuityContinuityVMin ()
 Returns the continuity at V minimum
More...
 
NXOpen::GeometricUtilities::ControlPoleManagerDataControlPoleManager ()
 Returns the control pole manager
More...
 
void ConvertParameters (NXOpen::NXObject *xformObject)
 Converts parameters of the feature that owns selected xform object. More...
 
NXOpen::GeometricUtilities::CurveRangeBuilderCurveRange ()
 Returns the curve range
More...
 
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilderDegreesAndSegmentsOrPatches ()
 Returns the degrees and segments or patches
More...
 
void FallOffReset ()
 Reset the fall off scale
More...
 
double FallOffScale ()
 Returns the fall off scale
More...
 
NXOpen::Features::StudioXformBuilder::FeatureType FeatureSaveMethod ()
 Returns the feature save method
More...
 
void InsertKnot (NXOpen::NXObject *xformObject)
 Inserts knot in the selected xform object
More...
 
NXOpen::Features::StudioXformBuilder::InsertKnotDirectionType InsertKnotDirection ()
 Returns the insert knot direction
More...
 
int InsertKnotParameter ()
 Returns the parameter where to insert knots
More...
 
void InsertKnots ()
 Insert knots
More...
 
bool IsSingleSelection ()
 Returns the single selection flag
More...
 
bool KeepAllContinuity ()
 Returns a value indicating whether to keep all continuity
More...
 
int LockRegionUEndFlexibility ()
 Returns the lock region flexibility at U end
More...
 
int LockRegionUStartFlexibility ()
 Returns the lock region flexibility at U start
More...
 
int LockRegionVEndFlexibility ()
 Returns the lock region flexibility at V end
More...
 
int LockRegionVStartFlexibility ()
 Returns the lock region flexibility at V start
More...
 
NXOpen::PointPivotPoint ()
 Returns the rotating center
More...
 
NXOpen::PlanePlanarizeArbitraryPlane ()
 Returns the planarize arbitrary plane
More...
 
NXOpen::Features::StudioXformBuilder::PlanarizeDirectionType PlanarizeDirection ()
 Returns the planarize direction
More...
 
NXOpen::Features::StudioXformBuilder::PlanarizeMethodType PlanarizeMethod ()
 Returns the planarize method
More...
 
NXOpen::Features::StudioXformBuilder::PlanarizePlaneOptionType PlanarizePlaneOption ()
 Returns the planarize plane option
More...
 
bool ProportionalAllU ()
 Returns a value indicating whether to use all poles in U direction during the proportional movement
More...
 
bool ProportionalAllV ()
 Returns a value indicating whether to use all poles in V direction during the proportional movement
More...
 
double ProportionalFallOffScale ()
 Returns the proportional fall off scale
More...
 
int ProportionalMoveAfterU ()
 Returns a value indicating the pole number after u to participate in the proportional movement
More...
 
int ProportionalMoveAfterV ()
 Returns a value indicating the pole number after v to participate in the proportional movement
More...
 
int ProportionalMoveBeforeU ()
 Returns a value indicating the pole number before u to participate in the proportional movement
More...
 
int ProportionalMoveBeforeV ()
 Returns a value indicating the pole number before v to participate in the proportional movement
More...
 
void ProportionalReset ()
 Reset the proportional scale
More...
 
NXOpen::Features::StudioXformBuilder::RotatingPivotType RotatingPivot ()
 Returns the rotating center type
More...
 
NXOpen::PlaneRotationArbitraryPlane ()
 Returns the rotation arbitrary plane. More...
 
NXOpen::DirectionRotationArbitraryVector ()
 Returns the rotation arbitrary vector. More...
 
NXOpen::Features::StudioXformBuilder::RotationDirectionType RotationDirection ()
 Returns the rotation direction
More...
 
NXOpen::PlaneScalingArbitraryPlane ()
 Returns the scaling arbitrary plane. More...
 
NXOpen::DirectionScalingArbitraryVector ()
 Returns the scaling arbitrary vector. More...
 
NXOpen::Features::StudioXformBuilder::ScalingCenterType ScalingCenter ()
 Returns the scaling center
More...
 
NXOpen::Features::StudioXformBuilder::ScalingDirectionType ScalingDirection ()
 Returns the scaling direction
More...
 
void SetAdvancedMethod (NXOpen::Features::StudioXformBuilder::AdvancedMethodType advancedMethod)
 Sets the advanced method
More...
 
void SetCenterPoint (NXOpen::Point *centerPoint)
 Sets the scaling center type
More...
 
void SetFallOffScale (double fallOffScale)
 Sets the fall off scale
More...
 
void SetFeatureSaveMethod (NXOpen::Features::StudioXformBuilder::FeatureType featureSaveMethod)
 Sets the feature save method
More...
 
void SetInsertKnotDirection (NXOpen::Features::StudioXformBuilder::InsertKnotDirectionType insertKnotDirection)
 Sets the insert knot direction
More...
 
void SetInsertKnotParameter (int insertKnotSlider)
 Sets the parameter where to insert knots
More...
 
void SetKeepAllContinuity (bool keepAllContinuity)
 Sets a value indicating whether to keep all continuity
More...
 
void SetLockRegionUEndFlexibility (int lockRegionUEndFlexibility)
 Sets the lock region flexibility at U end
More...
 
void SetLockRegionUStartFlexibility (int lockRegionUStartFlexibility)
 Sets the lock region flexibility at U start
More...
 
void SetLockRegionVEndFlexibility (int lockRegionVEndFlexibility)
 Sets the lock region flexibility at V end
More...
 
void SetLockRegionVStartFlexibility (int lockRegionVStartFlexibility)
 Sets the lock region flexibility at V start
More...
 
void SetPivotPoint (NXOpen::Point *pivotPoint)
 Sets the rotating center
More...
 
void SetPlanarizeArbitraryPlane (NXOpen::Plane *planarizeArbitraryPlane)
 Sets the planarize arbitrary plane
More...
 
void SetPlanarizeDirection (NXOpen::Features::StudioXformBuilder::PlanarizeDirectionType planarizeDirection)
 Sets the planarize direction
More...
 
void SetPlanarizeMethod (NXOpen::Features::StudioXformBuilder::PlanarizeMethodType planarizeMethod)
 Sets the planarize method
More...
 
void SetPlanarizePlaneOption (NXOpen::Features::StudioXformBuilder::PlanarizePlaneOptionType planarizePlaneOption)
 Sets the planarize plane option
More...
 
void SetProportionalAllU (bool proportionalAllU)
 Sets a value indicating whether to use all poles in U direction during the proportional movement
More...
 
void SetProportionalAllV (bool proportionalAllV)
 Sets a value indicating whether to use all poles in V direction during the proportional movement
More...
 
void SetProportionalFallOffScale (double proportionalFallOffScale)
 Sets the proportional fall off scale
More...
 
void SetProportionalMoveAfterU (int proportionalMoveAfterU)
 Sets a value indicating the pole number after u to participate in the proportional movement
More...
 
void SetProportionalMoveAfterV (int proportionalMoveAfterV)
 Sets a value indicating the pole number after v to participate in the proportional movement
More...
 
void SetProportionalMoveBeforeU (int proportionalMoveBeforeU)
 Sets a value indicating the pole number before u to participate in the proportional movement
More...
 
void SetProportionalMoveBeforeV (int proportionalMoveBeforeV)
 Sets a value indicating the pole number before v to participate in the proportional movement
More...
 
void SetRotatingPivot (NXOpen::Features::StudioXformBuilder::RotatingPivotType rotatePivot)
 Sets the rotating center type
More...
 
void SetRotationArbitraryPlane (NXOpen::Plane *rotateArbitraryPlane)
 Sets the rotation arbitrary plane. More...
 
void SetRotationArbitraryVector (NXOpen::Direction *rotateArbitraryVector)
 Sets the rotation arbitrary vector. More...
 
void SetRotationDirection (NXOpen::Features::StudioXformBuilder::RotationDirectionType rotateDirection)
 Sets the rotation direction
More...
 
void SetScalingArbitraryPlane (NXOpen::Plane *scaleArbitraryPlane)
 Sets the scaling arbitrary plane. More...
 
void SetScalingArbitraryVector (NXOpen::Direction *scaleArbitraryVector)
 Sets the scaling arbitrary vector. More...
 
void SetScalingCenter (NXOpen::Features::StudioXformBuilder::ScalingCenterType scaleCenter)
 Sets the scaling center
More...
 
void SetScalingDirection (NXOpen::Features::StudioXformBuilder::ScalingDirectionType scaleDirection)
 Sets the scaling direction
More...
 
void SetSingleSelection (bool singleSelectionFlag)
 Sets the single selection flag
More...
 
void SetTranslationArbitraryPlane (NXOpen::Plane *translateArbitraryPlane)
 Sets the translation arbitrary plane. More...
 
void SetTranslationArbitraryVector (NXOpen::Direction *translateArbitraryVector)
 Sets the translation arbitrary vector. More...
 
void SetTranslationDirection (NXOpen::Features::StudioXformBuilder::TranslationDirectionType translateDirection)
 Sets the translation direction
More...
 
void SetType (NXOpen::Features::StudioXformBuilder::Types type)
 Sets the type
More...
 
void ShapeReset ()
 Reset the shape of a edited face or curve
More...
 
NXOpen::GeometricUtilities::SurfaceRangeBuilderSurfaceRange ()
 Returns the surface range
More...
 
NXOpen::PlaneTranslationArbitraryPlane ()
 Returns the translation arbitrary plane. More...
 
NXOpen::DirectionTranslationArbitraryVector ()
 Returns the translation arbitrary vector. More...
 
NXOpen::Features::StudioXformBuilder::TranslationDirectionType TranslationDirection ()
 Returns the translation direction
More...
 
NXOpen::Features::StudioXformBuilder::Types Type ()
 Returns the type
More...
 
void UpdateLockRegionGeometry (NXOpen::NXObject *xformObject)
 Update lock region geometry with current geometry
More...
 
void UpdateXformObject (NXOpen::NXObject *xformObject)
 Updates the selected xform object
More...
 
NXOpen::SelectNXObjectListXformObjects ()
 Returns the object to be transformed. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::StudioXform builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateStudioXformBuilder
Default values.

Property Value

AdvancedMethod

AdvanceOff

CurveRange.AnchorPosition

Start

DegreesAndSegmentsOrPatches.Degree

3

DegreesAndSegmentsOrPatches.SegmentsOrPatches

1

DegreesAndSegmentsOrPatches.UDegree

5

DegreesAndSegmentsOrPatches.UPatches

1

DegreesAndSegmentsOrPatches.VDegree

5

DegreesAndSegmentsOrPatches.VPatches

1

FallOffScale

0

FeatureSaveMethod

Relative

InsertKnotDirection

UDirection

InsertKnotParameter

20

IsSingleSelection

1

KeepAllContinuity

0

LockRegionUEndFlexibility

0

LockRegionUStartFlexibility

0

LockRegionVEndFlexibility

0

LockRegionVStartFlexibility

0

PlanarizeDirection

U

PlanarizeMethod

AtPlaneLocation

PlanarizePlaneOption

YcZc

ProportionalAllU

0

ProportionalAllV

0

ProportionalFallOffScale

0

ProportionalMoveAfterU

0

ProportionalMoveAfterV

0

ProportionalMoveBeforeU

0

ProportionalMoveBeforeV

0

RotationDirection

Zc

ScalingDirection

Zc

SurfaceRange.AnchorPosition

Vertex1

TranslationDirection

Zc


Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

Member Enumeration Documentation

Represents the advanced method type.

Enumerator
AdvancedMethodTypeChangeDegree 

Change degree.

AdvancedMethodTypeFalloff 

Fall off.

AdvancedMethodTypeProportionalMovement 

Proportional movement.

AdvancedMethodTypeKeepContinuity 

Keep continuity.

AdvancedMethodTypeLockRegion 

Lock region.

AdvancedMethodTypeInsertKnot 

Insert knot.

AdvancedMethodTypeAdvanceOff 

Turn off advanced methods.

Represents the feature type.

Enumerator
FeatureTypeRelative 

Relative feature type of Xform.

FeatureTypeAbsolute 

Absolute feature type of Xform.

Represents the insert knot direction type.

Enumerator
InsertKnotDirectionTypeUDirection 

Inser knot in U direction.

InsertKnotDirectionTypeVDirection 

Inser knot in V direction.

Represents the planarize direction type.

Enumerator
PlanarizeDirectionTypeU 

U direction when planarize.

PlanarizeDirectionTypeV 

V direction when planarize.

Represents the planarize method type.

Enumerator
PlanarizeMethodTypeAtPlaneLocation 

planarize at plane location

PlanarizeMethodTypeAtPoleLocation 

planarize at pole location

PlanarizeMethodTypeOnABestFitPlane 

planarize at a best fit plane

Represents the plane option type.

Enumerator
PlanarizePlaneOptionTypeYcZc 

On Y-Z plane when planarize.

PlanarizePlaneOptionTypeXcZc 

On X-Z plane when planarize.

PlanarizePlaneOptionTypeXcYc 

On X-Y plane when planarize.

PlanarizePlaneOptionTypeArbitraryPlane 

On arbitrary plane when planarize.

Represents the rotating pivot type.

Enumerator
RotatingPivotTypeAboutObjectCenter 

Rotate pivot at the object center.

RotatingPivotTypeAboutSelectedObject 

Rotate pivot at the selected object.

RotatingPivotTypeAboutPoint 

Rotate pivot at a point.

Represents the rotation direction type.

Enumerator
RotationDirectionTypeXc 

Rotate in X direction.

RotationDirectionTypeYc 

Rotate in Y direction.

RotationDirectionTypeZc 

Rotate in Z direction.

RotationDirectionTypeArbitraryDirection 

Rotate in arbitrary direction.

RotationDirectionTypeArbitraryPlane 

Rotate on arbitrary plane.

Represents the scaling center type.

Enumerator
ScalingCenterTypeAboutObjectCenter 

Scale center at the object center.

ScalingCenterTypeAboutSelectedObject 

Scale center at the selected object.

ScalingCenterTypeAboutPoint 

Scale center at a point.

Represents the scaling direction type.

Enumerator
ScalingDirectionTypeScaleUniformly 

Scale uniformly.

ScalingDirectionTypePlaneOfCurve 

Scale on Plane of curve.

ScalingDirectionTypeXc 

Scale in X direction.

ScalingDirectionTypeYc 

Scale in Y direction.

ScalingDirectionTypeZc 

Scale in Z direction.

ScalingDirectionTypeYcZc 

Scale on Y-Z plane.

ScalingDirectionTypeXcZc 

Scale on X-Z plane.

ScalingDirectionTypeXcYc 

Scale on X-Y plane.

ScalingDirectionTypeArbitraryDirection 

Scale in arbitrary direction.

ScalingDirectionTypeArbitraryPlane 

Scale on arbitrary plane.

Represents the translation direction type.

Enumerator
TranslationDirectionTypeXc 

Translate in X direction.

TranslationDirectionTypeYc 

Translate in Y direction.

TranslationDirectionTypeZc 

Translate in Z direction.

TranslationDirectionTypeYcZc 

Translate on Y-Z plane.

TranslationDirectionTypeXcZc 

Translate on X-Z plane.

TranslationDirectionTypeXcYc 

Translate on X-Y plane.

TranslationDirectionTypeArbitraryDirection 

Translate in arbitrary direction.

TranslationDirectionTypeArbitraryPlane 

Translate on arbitrary plane.

Represents the Xform type.

Enumerator
TypesTranslate 

Translate type of Xform.

TypesRotate 

Rotate type of Xform.

TypesScale 

Scale type of Xform.

TypesTranslateNormalToFaceOrCurve 

Along normal type of Xform.

TypesTranlsateAlongControlPolygon 

Along polygon type of Xform.

TypesPlanarizeRowOfPoles 

Planarize type of Xform.

Member Function Documentation

NXOpen::Features::StudioXformBuilder::AdvancedMethodType NXOpen::Features::StudioXformBuilder::AdvancedMethod ( )

Returns the advanced method

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::StudioXformBuilder::CenterPoint ( )

Returns the scaling center type

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::StudioXformBuilder::ChangeDegree ( NXOpen::NXObject xformObject)

Changes degree of the selected xform object

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change degree of
void NXOpen::Features::StudioXformBuilder::ChangeFlexibility ( NXOpen::NXObject xformObject)

Changes flexibility of the selected xform object

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change flexibility of
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilder::ContinuityUMax ( )

Returns the continuity at U maximum

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilder::ContinuityUMin ( )

Returns the continuity at U minimum

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilder::ContinuityVMax ( )

Returns the continuity at V maximum

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilder::ContinuityVMin ( )

Returns the continuity at V minimum

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::ControlPoleManagerData* NXOpen::Features::StudioXformBuilder::ControlPoleManager ( )

Returns the control pole manager

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::StudioXformBuilder::ConvertParameters ( NXOpen::NXObject xformObject)

Converts parameters of the feature that owns selected xform object.

Converts through points studio spline feature to by poles feature, otherwise removes parameters of the feature.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to convert pameters from
NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::StudioXformBuilder::CurveRange ( )

Returns the curve range

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::StudioXformBuilder::DegreesAndSegmentsOrPatches ( )

Returns the degrees and segments or patches

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::StudioXformBuilder::FallOffReset ( )

Reset the fall off scale

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

double NXOpen::Features::StudioXformBuilder::FallOffScale ( )

Returns the fall off scale

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilder::FeatureType NXOpen::Features::StudioXformBuilder::FeatureSaveMethod ( )

Returns the feature save method

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::StudioXformBuilder::InsertKnot ( NXOpen::NXObject xformObject)

Inserts knot in the selected xform object

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to insert knot in
NXOpen::Features::StudioXformBuilder::InsertKnotDirectionType NXOpen::Features::StudioXformBuilder::InsertKnotDirection ( )

Returns the insert knot direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilder::InsertKnotParameter ( )

Returns the parameter where to insert knots

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::StudioXformBuilder::InsertKnots ( )

Insert knots

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::StudioXformBuilder::IsSingleSelection ( )

Returns the single selection flag

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Features::StudioXformBuilder::KeepAllContinuity ( )

Returns a value indicating whether to keep all continuity

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilder::LockRegionUEndFlexibility ( )

Returns the lock region flexibility at U end

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilder::LockRegionUStartFlexibility ( )

Returns the lock region flexibility at U start

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilder::LockRegionVEndFlexibility ( )

Returns the lock region flexibility at V end

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilder::LockRegionVStartFlexibility ( )

Returns the lock region flexibility at V start

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::StudioXformBuilder::PivotPoint ( )

Returns the rotating center

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::StudioXformBuilder::PlanarizeArbitraryPlane ( )

Returns the planarize arbitrary plane

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilder::PlanarizeDirectionType NXOpen::Features::StudioXformBuilder::PlanarizeDirection ( )

Returns the planarize direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilder::PlanarizeMethodType NXOpen::Features::StudioXformBuilder::PlanarizeMethod ( )

Returns the planarize method

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilder::PlanarizePlaneOptionType NXOpen::Features::StudioXformBuilder::PlanarizePlaneOption ( )

Returns the planarize plane option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Features::StudioXformBuilder::ProportionalAllU ( )

Returns a value indicating whether to use all poles in U direction during the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Features::StudioXformBuilder::ProportionalAllV ( )

Returns a value indicating whether to use all poles in V direction during the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

double NXOpen::Features::StudioXformBuilder::ProportionalFallOffScale ( )

Returns the proportional fall off scale

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilder::ProportionalMoveAfterU ( )

Returns a value indicating the pole number after u to participate in the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilder::ProportionalMoveAfterV ( )

Returns a value indicating the pole number after v to participate in the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilder::ProportionalMoveBeforeU ( )

Returns a value indicating the pole number before u to participate in the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

int NXOpen::Features::StudioXformBuilder::ProportionalMoveBeforeV ( )

Returns a value indicating the pole number before v to participate in the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::StudioXformBuilder::ProportionalReset ( )

Reset the proportional scale

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::StudioXformBuilder::RotatingPivotType NXOpen::Features::StudioXformBuilder::RotatingPivot ( )

Returns the rotating center type

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::StudioXformBuilder::RotationArbitraryPlane ( )

Returns the rotation arbitrary plane.

Used only when the RotationPlane is ArbitraryPlane.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::StudioXformBuilder::RotationArbitraryVector ( )

Returns the rotation arbitrary vector.

Used only when the RotationDirection is ArbitraryDirection.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilder::RotationDirectionType NXOpen::Features::StudioXformBuilder::RotationDirection ( )

Returns the rotation direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::StudioXformBuilder::ScalingArbitraryPlane ( )

Returns the scaling arbitrary plane.

Used only when the ScalingDirection is ArbitraryPlane.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::StudioXformBuilder::ScalingArbitraryVector ( )

Returns the scaling arbitrary vector.

Used only when the ScalingDirection is ArbitraryDirection.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilder::ScalingCenterType NXOpen::Features::StudioXformBuilder::ScalingCenter ( )

Returns the scaling center

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilder::ScalingDirectionType NXOpen::Features::StudioXformBuilder::ScalingDirection ( )

Returns the scaling direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::StudioXformBuilder::SetAdvancedMethod ( NXOpen::Features::StudioXformBuilder::AdvancedMethodType  advancedMethod)

Sets the advanced method

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
advancedMethodadvancedmethod
void NXOpen::Features::StudioXformBuilder::SetCenterPoint ( NXOpen::Point centerPoint)

Sets the scaling center type

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
centerPointcenterpoint
void NXOpen::Features::StudioXformBuilder::SetFallOffScale ( double  fallOffScale)

Sets the fall off scale

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
fallOffScalefalloffscale
void NXOpen::Features::StudioXformBuilder::SetFeatureSaveMethod ( NXOpen::Features::StudioXformBuilder::FeatureType  featureSaveMethod)

Sets the feature save method

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
featureSaveMethodfeaturesavemethod
void NXOpen::Features::StudioXformBuilder::SetInsertKnotDirection ( NXOpen::Features::StudioXformBuilder::InsertKnotDirectionType  insertKnotDirection)

Sets the insert knot direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
insertKnotDirectioninsertknotdirection
void NXOpen::Features::StudioXformBuilder::SetInsertKnotParameter ( int  insertKnotSlider)

Sets the parameter where to insert knots

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
insertKnotSliderinsertknotslider
void NXOpen::Features::StudioXformBuilder::SetKeepAllContinuity ( bool  keepAllContinuity)

Sets a value indicating whether to keep all continuity

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
keepAllContinuitykeepallcontinuity
void NXOpen::Features::StudioXformBuilder::SetLockRegionUEndFlexibility ( int  lockRegionUEndFlexibility)

Sets the lock region flexibility at U end

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
lockRegionUEndFlexibilitylockregionuendflexibility
void NXOpen::Features::StudioXformBuilder::SetLockRegionUStartFlexibility ( int  lockRegionUStartFlexibility)

Sets the lock region flexibility at U start

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
lockRegionUStartFlexibilitylockregionustartflexibility
void NXOpen::Features::StudioXformBuilder::SetLockRegionVEndFlexibility ( int  lockRegionVEndFlexibility)

Sets the lock region flexibility at V end

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
lockRegionVEndFlexibilitylockregionvendflexibility
void NXOpen::Features::StudioXformBuilder::SetLockRegionVStartFlexibility ( int  lockRegionVStartFlexibility)

Sets the lock region flexibility at V start

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
lockRegionVStartFlexibilitylockregionvstartflexibility
void NXOpen::Features::StudioXformBuilder::SetPivotPoint ( NXOpen::Point pivotPoint)

Sets the rotating center

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
pivotPointpivotpoint
void NXOpen::Features::StudioXformBuilder::SetPlanarizeArbitraryPlane ( NXOpen::Plane planarizeArbitraryPlane)

Sets the planarize arbitrary plane

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
planarizeArbitraryPlaneplanarizearbitraryplane
void NXOpen::Features::StudioXformBuilder::SetPlanarizeDirection ( NXOpen::Features::StudioXformBuilder::PlanarizeDirectionType  planarizeDirection)

Sets the planarize direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
planarizeDirectionplanarizedirection
void NXOpen::Features::StudioXformBuilder::SetPlanarizeMethod ( NXOpen::Features::StudioXformBuilder::PlanarizeMethodType  planarizeMethod)

Sets the planarize method

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
planarizeMethodplanarizemethod
void NXOpen::Features::StudioXformBuilder::SetPlanarizePlaneOption ( NXOpen::Features::StudioXformBuilder::PlanarizePlaneOptionType  planarizePlaneOption)

Sets the planarize plane option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
planarizePlaneOptionplanarizeplaneoption
void NXOpen::Features::StudioXformBuilder::SetProportionalAllU ( bool  proportionalAllU)

Sets a value indicating whether to use all poles in U direction during the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalAllUproportionalallu
void NXOpen::Features::StudioXformBuilder::SetProportionalAllV ( bool  proportionalAllV)

Sets a value indicating whether to use all poles in V direction during the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalAllVproportionalallv
void NXOpen::Features::StudioXformBuilder::SetProportionalFallOffScale ( double  proportionalFallOffScale)

Sets the proportional fall off scale

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalFallOffScaleproportionalfalloffscale
void NXOpen::Features::StudioXformBuilder::SetProportionalMoveAfterU ( int  proportionalMoveAfterU)

Sets a value indicating the pole number after u to participate in the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalMoveAfterUproportionalmoveafteru
void NXOpen::Features::StudioXformBuilder::SetProportionalMoveAfterV ( int  proportionalMoveAfterV)

Sets a value indicating the pole number after v to participate in the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalMoveAfterVproportionalmoveafterv
void NXOpen::Features::StudioXformBuilder::SetProportionalMoveBeforeU ( int  proportionalMoveBeforeU)

Sets a value indicating the pole number before u to participate in the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalMoveBeforeUproportionalmovebeforeu
void NXOpen::Features::StudioXformBuilder::SetProportionalMoveBeforeV ( int  proportionalMoveBeforeV)

Sets a value indicating the pole number before v to participate in the proportional movement

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
proportionalMoveBeforeVproportionalmovebeforev
void NXOpen::Features::StudioXformBuilder::SetRotatingPivot ( NXOpen::Features::StudioXformBuilder::RotatingPivotType  rotatePivot)

Sets the rotating center type

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
rotatePivotrotatepivot
void NXOpen::Features::StudioXformBuilder::SetRotationArbitraryPlane ( NXOpen::Plane rotateArbitraryPlane)

Sets the rotation arbitrary plane.

Used only when the RotationPlane is ArbitraryPlane.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
rotateArbitraryPlanerotatearbitraryplane
void NXOpen::Features::StudioXformBuilder::SetRotationArbitraryVector ( NXOpen::Direction rotateArbitraryVector)

Sets the rotation arbitrary vector.

Used only when the RotationDirection is ArbitraryDirection.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
rotateArbitraryVectorrotatearbitraryvector
void NXOpen::Features::StudioXformBuilder::SetRotationDirection ( NXOpen::Features::StudioXformBuilder::RotationDirectionType  rotateDirection)

Sets the rotation direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
rotateDirectionrotatedirection
void NXOpen::Features::StudioXformBuilder::SetScalingArbitraryPlane ( NXOpen::Plane scaleArbitraryPlane)

Sets the scaling arbitrary plane.

Used only when the ScalingDirection is ArbitraryPlane.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
scaleArbitraryPlanescalearbitraryplane
void NXOpen::Features::StudioXformBuilder::SetScalingArbitraryVector ( NXOpen::Direction scaleArbitraryVector)

Sets the scaling arbitrary vector.

Used only when the ScalingDirection is ArbitraryDirection.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
scaleArbitraryVectorscalearbitraryvector
void NXOpen::Features::StudioXformBuilder::SetScalingCenter ( NXOpen::Features::StudioXformBuilder::ScalingCenterType  scaleCenter)

Sets the scaling center

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
scaleCenterscalecenter
void NXOpen::Features::StudioXformBuilder::SetScalingDirection ( NXOpen::Features::StudioXformBuilder::ScalingDirectionType  scaleDirection)

Sets the scaling direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
scaleDirectionscaledirection
void NXOpen::Features::StudioXformBuilder::SetSingleSelection ( bool  singleSelectionFlag)

Sets the single selection flag

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
singleSelectionFlagsingleselectionflag
void NXOpen::Features::StudioXformBuilder::SetTranslationArbitraryPlane ( NXOpen::Plane translateArbitraryPlane)

Sets the translation arbitrary plane.

Used only when the TranslationDirection is ArbitraryPlane.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
translateArbitraryPlanetranslatearbitraryplane
void NXOpen::Features::StudioXformBuilder::SetTranslationArbitraryVector ( NXOpen::Direction translateArbitraryVector)

Sets the translation arbitrary vector.

Used only when the TranslationDirection is ArbitraryDirection.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
translateArbitraryVectortranslatearbitraryvector
void NXOpen::Features::StudioXformBuilder::SetTranslationDirection ( NXOpen::Features::StudioXformBuilder::TranslationDirectionType  translateDirection)

Sets the translation direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
translateDirectiontranslatedirection
void NXOpen::Features::StudioXformBuilder::SetType ( NXOpen::Features::StudioXformBuilder::Types  type)

Sets the type

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
typetype
void NXOpen::Features::StudioXformBuilder::ShapeReset ( )

Reset the shape of a edited face or curve

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::SurfaceRangeBuilder* NXOpen::Features::StudioXformBuilder::SurfaceRange ( )

Returns the surface range

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::StudioXformBuilder::TranslationArbitraryPlane ( )

Returns the translation arbitrary plane.

Used only when the TranslationDirection is ArbitraryPlane.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::StudioXformBuilder::TranslationArbitraryVector ( )

Returns the translation arbitrary vector.

Used only when the TranslationDirection is ArbitraryDirection.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilder::TranslationDirectionType NXOpen::Features::StudioXformBuilder::TranslationDirection ( )

Returns the translation direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

NXOpen::Features::StudioXformBuilder::Types NXOpen::Features::StudioXformBuilder::Type ( )

Returns the type

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None

void NXOpen::Features::StudioXformBuilder::UpdateLockRegionGeometry ( NXOpen::NXObject xformObject)

Update lock region geometry with current geometry

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.2.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change flexibility of
void NXOpen::Features::StudioXformBuilder::UpdateXformObject ( NXOpen::NXObject xformObject)

Updates the selected xform object

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to be edited
NXOpen::SelectNXObjectList* NXOpen::Features::StudioXformBuilder::XformObjects ( )

Returns the object to be transformed.

Any face having b-surface type geometry or curve having b-curve geometry can be transformed.

Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::StudioXformBuilderEx instead.


Created in NX6.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.